Bug 66601 - AVFoundation: media/video-size-intrinsic-scale.html test fails, and the movie is drawn incorrectly
Summary: AVFoundation: media/video-size-intrinsic-scale.html test fails, and the movie...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Eric Carlson
URL:
Keywords: InRadar, LayoutTestFailure
Depends on:
Blocks: 67509
  Show dependency treegraph
 
Reported: 2011-08-19 15:02 PDT by Jeff Miller
Modified: 2012-04-19 13:49 PDT (History)
5 users (show)

See Also:


Attachments
pretty-diff of incorrect results (6.71 KB, text/html)
2011-08-19 15:02 PDT, Jeff Miller
no flags Details
add failing results (3.29 KB, patch)
2012-03-13 15:03 PDT, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Miller 2011-08-19 15:02:40 PDT
Created attachment 104577 [details]
pretty-diff of incorrect results

media/video-size-intrinsic-scale.html test fails with AVFoundation enabled

Note that you need to explicitly enable AVFoundation in the preferences for run-webkit-tests:

1. defaults.exe write DumpRenderTree.exe WebKitAVFoundationEnabled -bool true
2. run-webkit-tests LayoutTests/media/video-size-intrinsic-scale.html
Comment 1 Jeff Miller 2011-08-19 15:17:22 PDT
<rdar://problem/9987547>
Comment 2 Alexey Proskuryakov 2012-03-13 14:59:07 PDT
This fails on Lion, too.
Comment 3 Alexey Proskuryakov 2012-03-13 15:03:25 PDT
Created attachment 131719 [details]
add failing results
Comment 4 Eric Carlson 2012-03-20 07:40:10 PDT
Jeff wrote up https://bugs.webkit.org/show_bug.cgi?id=66592 for the failure on Lion. Both are blocked by rdar://8824451.
Comment 5 WebKit Review Bot 2012-04-19 11:28:03 PDT
Comment on attachment 131719 [details]
add failing results

Clearing flags on attachment: 131719

Committed r114657: <http://trac.webkit.org/changeset/114657>
Comment 6 WebKit Review Bot 2012-04-19 11:28:08 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Alexey Proskuryakov 2012-04-19 13:49:31 PDT
Re-opening, because this still needs to be fixed.